<script setup>
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout.vue';
import { Head } from '@inertiajs/inertia-vue3';
import TaskShow from '@/Pages/Tasks/Components/TaskShow.vue'
import TaskDetailsForm from '@/Pages/Tasks/Components/TaskDetailsForm.vue'
import TaskRedirectForm from '@/Pages/Tasks/Components/TaskRedirectForm.vue'

</script>

<template>
    <Head title="Dashboard" />

    <AuthenticatedLayout>
        <template #header>
            <div class="flex justify-between items-center">
                <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                    عنوان المهمة: {{ $page.props.task.title }}
                </h2>
                <div>
                    <!-- <TaskRedirectForm :taskid="$page.props.task.id"/> -->
                    <TaskDetailsForm :taskid="$page.props.task.id"/>
                </div>
            </div>
        </template>

        <div className="py-12">
            <div className="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div className="bg-white overflow-hidden shadow-sm sm:rounded-sm">
                    <TaskShow />
                </div>
                <!-- <div className="bg-white overflow-hidden shadow-sm sm:rounded-sm my-5">
                    <div className='py-14 px-8'>
                    </div>
                </div> -->
            </div>
        </div>
    </AuthenticatedLayout>
</template>
